com.impinj.stp

## Class StpApi.AntennasConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>
      - - com.impinj.stp.StpApi.AntennasConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.AntennasConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.AntennasConfig

      public static final class StpApi.AntennasConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>
      implements StpApi.AntennasConfigOrBuilder

  Protobuf type `Impinj.STP.AntennasConfig` A list of antenna configurations.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AntennasConfig.Builder` | `addAllAntennaConfig(java.lang.Iterable<? extends StpApi.AntennaConfig> values)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `addAntennaConfig(int index, StpApi.AntennaConfig.Builder builderForValue)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `addAntennaConfig(int index, StpApi.AntennaConfig value)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `addAntennaConfig(StpApi.AntennaConfig.Builder builderForValue)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `addAntennaConfig(StpApi.AntennaConfig value)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennaConfig.Builder` | `addAntennaConfigBuilder()` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennaConfig.Builder` | `addAntennaConfigBuilder(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig` | `build()`
    `StpApi.AntennasConfig` | `buildPartial()`
    `StpApi.AntennasConfig.Builder` | `clear()`
    `StpApi.AntennasConfig.Builder` | `clearAntennaConfig()` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `clone()`
    `StpApi.AntennaConfig` | `getAntennaConfig(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennaConfig.Builder` | `getAntennaConfigBuilder(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<StpApi.AntennaConfig.Builder>` | `getAntennaConfigBuilderList()` The device will cycle through the configurations in the order in which they appear in the list.
    `int` | `getAntennaConfigCount()` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<StpApi.AntennaConfig>` | `getAntennaConfigList()` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennaConfigOrBuilder` | `getAntennaConfigOrBuilder(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<? extends StpApi.AntennaConfigOrBuilder>` | `getAntennaConfigOrBuilderList()` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.AntennasConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.AntennasConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.AntennasConfig.Builder` | `mergeFrom(StpApi.AntennasConfig other)`
    `StpApi.AntennasConfig.Builder` | `removeAntennaConfig(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `setAntennaConfig(int index, StpApi.AntennaConfig.Builder builderForValue)` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennasConfig.Builder` | `setAntennaConfig(int index, StpApi.AntennaConfig value)` The device will cycle through the configurations in the order in which they appear in the list.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>`

    - #### clear

          public StpApi.AntennasConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>`

    - #### clone

          public StpApi.AntennasConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.AntennasConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.AntennasConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.AntennasConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.AntennasConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.AntennasConfig.Builder>`

    - #### mergeFrom

          public StpApi.AntennasConfig.Builder mergeFrom(StpApi.AntennasConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AntennasConfig.Builder>`

    - #### mergeFrom

          public StpApi.AntennasConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.AntennasConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### getAntennaConfigList

          public java.util.List<StpApi.AntennaConfig> getAntennaConfigList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigList` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfigCount

          public int getAntennaConfigCount()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigCount` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfig

          public StpApi.AntennaConfig getAntennaConfig(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfig` in interface `StpApi.AntennasConfigOrBuilder`

    - #### setAntennaConfig

          public StpApi.AntennasConfig.Builder setAntennaConfig(int index,
                                                                StpApi.AntennaConfig value)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### setAntennaConfig

          public StpApi.AntennasConfig.Builder setAntennaConfig(int index,
                                                                StpApi.AntennaConfig.Builder builderForValue)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### addAntennaConfig

          public StpApi.AntennasConfig.Builder addAntennaConfig(StpApi.AntennaConfig value)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### addAntennaConfig

          public StpApi.AntennasConfig.Builder addAntennaConfig(int index,
                                                                StpApi.AntennaConfig value)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### addAntennaConfig

          public StpApi.AntennasConfig.Builder addAntennaConfig(StpApi.AntennaConfig.Builder builderForValue)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### addAntennaConfig

          public StpApi.AntennasConfig.Builder addAntennaConfig(int index,
                                                                StpApi.AntennaConfig.Builder builderForValue)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### addAllAntennaConfig

          public StpApi.AntennasConfig.Builder addAllAntennaConfig(java.lang.Iterable<? extends StpApi.AntennaConfig> values)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### clearAntennaConfig

          public StpApi.AntennasConfig.Builder clearAntennaConfig()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### removeAntennaConfig

          public StpApi.AntennasConfig.Builder removeAntennaConfig(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfigBuilder

          public StpApi.AntennaConfig.Builder getAntennaConfigBuilder(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfigOrBuilder

          public StpApi.AntennaConfigOrBuilder getAntennaConfigOrBuilder(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigOrBuilder` in interface `StpApi.AntennasConfigOrBuilder`

    - #### getAntennaConfigOrBuilderList

          public java.util.List<? extends StpApi.AntennaConfigOrBuilder> getAntennaConfigOrBuilderList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.
      Specified by:
        `getAntennaConfigOrBuilderList` in interface `StpApi.AntennasConfigOrBuilder`

    - #### addAntennaConfigBuilder

          public StpApi.AntennaConfig.Builder addAntennaConfigBuilder()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### addAntennaConfigBuilder

          public StpApi.AntennaConfig.Builder addAntennaConfigBuilder(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfigBuilderList

          public java.util.List<StpApi.AntennaConfig.Builder> getAntennaConfigBuilderList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.